summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2018-11-03 07:30:50 +0100
committerHans de Graaff <graaff@gentoo.org>2018-11-03 07:30:50 +0100
commit8850ee258554397cd3c8dd79db9d6990f98f757a (patch)
treeb7fbc1c70d3d8b92eb5f7ae4b8ca03f0f22f2afb /dev-ruby/term-ansicolor
parentdev-ruby/method_source: add 0.9.1 (diff)
downloadgentoo-8850ee258554397cd3c8dd79db9d6990f98f757a.tar.gz
gentoo-8850ee258554397cd3c8dd79db9d6990f98f757a.tar.bz2
gentoo-8850ee258554397cd3c8dd79db9d6990f98f757a.zip
dev-ruby/term-ansicolor: add 1.7.0
Signed-off-by: Hans de Graaff <graaff@gentoo.org> Package-Manager: Portage-2.3.49, Repoman-2.3.11
Diffstat (limited to 'dev-ruby/term-ansicolor')
-rw-r--r--dev-ruby/term-ansicolor/Manifest1
-rw-r--r--dev-ruby/term-ansicolor/term-ansicolor-1.7.0.ebuild34
2 files changed, 35 insertions, 0 deletions
diff --git a/dev-ruby/term-ansicolor/Manifest b/dev-ruby/term-ansicolor/Manifest
index 63e929766db..d8bb21e23ac 100644
--- a/dev-ruby/term-ansicolor/Manifest
+++ b/dev-ruby/term-ansicolor/Manifest
@@ -1 +1,2 @@
DIST term-ansicolor-1.6.0.gem 43008 BLAKE2B fdfb01a22256e1203947006745c9f632592fa1402188c5f4394f1cc8fef7475ff7e68cc80f5a026b9329de82cb578c7d82457adbd2c9905d0c264bf80c4e0c24 SHA512 574999d67f3fe167aefe9b11c04dc34cb4263c4eb105e147933def3a90b5bd7acccd7033a72a66f54fc33dde50f862037dbd8c53951243a7bd8787bdfd237139
+DIST term-ansicolor-1.7.0.gem 44544 BLAKE2B 33ecb92a7d48599bb899e82e0db02049c359ca8075e20efb79d0b1de28f2223d11e18724362e8b3755c6aade194df3e6ba4cdaa718cdb66b74afc9072fc3e77f SHA512 98fdb170822171fa4bf1eae5ee2537b76102c707be39882a7aeb7895989a724d1a172304b3a997021bf4d5da7b48c8186579ab3e9925ffd4f0a4bfa4a80da02c
diff --git a/dev-ruby/term-ansicolor/term-ansicolor-1.7.0.ebuild b/dev-ruby/term-ansicolor/term-ansicolor-1.7.0.ebuild
new file mode 100644
index 00000000000..14b5c5ce7e7
--- /dev/null
+++ b/dev-ruby/term-ansicolor/term-ansicolor-1.7.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby23 ruby24 ruby25"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_RECIPE_TEST="none"
+RUBY_FAKEGEM_EXTRADOC="CHANGES README.md"
+
+RUBY_FAKEGEM_GEMSPEC="term-ansicolor.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Small Ruby library that colors strings using ANSI escape sequences"
+HOMEPAGE="https://flori.github.io/term-ansicolor/"
+LICENSE="GPL-2"
+
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+SLOT="0"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/tins-1.0"
+
+each_ruby_test() {
+ ${RUBY} -Ilib -S testrb-2 tests/*_test.rb || die
+}
+
+all_ruby_install() {
+ all_fakegem_install
+
+ docinto examples
+ dodoc examples/*
+}